using Diligent.WebAPI.Data.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Diligent.WebAPI.Business.Interfaces
{
    public interface ICustomerService
    {
        Task<Customer> GetCustomer(string username);

        Task<Customer> GetCustomerById(string id);

        Task<bool> AddNotification(string receiverId, string roomId);

        Task<List<Notification>> ReadNotifications(string userId);

        Task<bool> DeleteNotification(string userId, string roomId);
    }
}
